<template>
  <div
    style="
      height: 100vh;
      width: 100vw;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    "
  >
    <n-result
      status="404"
      title="404 资源不存在"
      description="生活总归带点荒谬"
    >
      <template #footer>
        <n-button @click.prevent="toHome">返回主页</n-button>
      </template>
    </n-result>
  </div>
</template>

<script setup lang="ts">
  import { useRouter } from "vue-router";
  const router = useRouter();
  function toHome() {
    router.push("/");
  }
</script>
